#!/bin/sh

###############################################################################
# Copyright 2002 W3C (MIT, INRIA, Keio), All Rights Reserved.
# W3C liability, trademark, document use and software licensing rules apply.
# Written by Eric Prud'hommeaux for the World Wide Web Consortium
# 
# Optional0 - Single optional arc
# Tests:
#   - optional arcs
# 
# Part of W3C/Rdf/test perl library test suite.
# See http://www.w3.org/1999/02/26-modules/
# $Id: Optional0-alg.sh,v 1.2 2004/06/18 10:47:00 eric Exp $
###############################################################################

algae $* \
-a"
ns <http://example.org/n#>
assert (
 A p1 B .
 A p2 C .
 A p3 D .

 B p1 B .
 B p2 C )

ask (
 ?n p1 B .
 ?n p2 C .
 ~?n p3 ?n2 )

collect (?n ?n2)
" \


# Table Results:
# +------------------------+------------------------+
# |                       n|                      n2|
# |------------------------|------------------------|
# |<http://example.org/n#B>|                    NULL|
# |<http://example.org/n#A>|<http://example.org/n#D>|
# +------------------------+------------------------+

